please start storing buildinfo files, for new dpkg versions

Bug #1657704 reported by LocutusOfBorg on 2017-01-19
30
This bug affects 5 people
Affects Status Importance Assigned to Milestone
Launchpad itself
High
Colin Watson

Bug Description

I did a dpkg merge on my ppa, and newly produced buildinfo files are not accepted by LP infra.

reporting a bug as requested on irc, since the new dpkg is expected to land soon in Ubuntu too
https://launchpad.net/~costamagnagianfranco/+archive/ubuntu/locutusofborg-ppa/+build/11887168

Related branches

lp:~cjwatson/launchpad/db-buildinfo
William Grant: Approve (db) on 2017-04-04
lp:~cjwatson/launchpad/store-buildinfo
William Grant: Approve (code) on 2017-04-19
Mattia Rizzolo (mapreri) wrote :

On a related note, whilst storing them it's a great idea, it's probably not so wise to also start distribute them just yet. I'd be nice if Debian and Ubuntu kept the same layout when distributing .buildinfo, and I think it's better to have it done on Debian first.

In the meantime the equivalent of https://anonscm.debian.org/git/mirror/dak.git/commit/?id=0d670db32f57ae1efa75fdc9eb3fa79efd660b88 would be cool indeed.

(all of this implies acceptance of those files first, of course).

lets quote Colin who wrote almost what you wrote :p
[11:38:14] <cjwatson> LocutusOfBorg: sure; I agree that we should accept and store buildinfo files
[11:39:14] <xnox> cjwatson, i think at the moment dak silently discards buildinfo files.
[11:39:25] <cjwatson> infinity: might be a good plan
[11:39:51] <cjwatson> xnox: sure, but LP should store them
[11:39:57] <cjwatson> we have a librarian
[11:40:11] <cjwatson> (store doesn't mean publish, that's quite a different matter)

Slavek Banko (slavek-banko) wrote :

Note: The same task was already solved also in reprepro - see Debian bug https://bugs.debian.org/cgi-bin/bugreport.cgi?bug=843402

Could the code from reprepro also be helpful for Launchpad?

Colin Watson (cjwatson) wrote :

Thanks, but it's not useful: the implementation language is totally different, and reprepro isn't doing any interesting parsing with buildinfo files anyway, but rather just either ignoring them or publishing them in its repository in the obvious way. I've looked over the reprepro changes and there's really nothing relevant to borrow.

I've started a Launchpad implementation already, and I'll finish it when I'm back from holiday.

Changed in launchpad:
status: New → In Progress
importance: Undecided → High
assignee: nobody → Colin Watson (cjwatson)
Timothy Pearson (kb9vqf) wrote :

Any further news on this? We've been having to manually override the buildinfo file creation for Launchpad uploads.

Thanks!

Mattia Rizzolo (mapreri) wrote :

@kb9vqf yesterday cjwatson sent the first merge requests related to this bug, so yes, there is definitely progress ongoing, please hold on..

Launchpad QA Bot (lpqabot) wrote :
tags: added: qa-needstesting
Colin Watson (cjwatson) wrote :

2017-04-06 12:12:37,694 INFO 2209-82-0 applied just now in 0.3 seconds

tags: added: qa-ok
removed: qa-needstesting
Launchpad QA Bot (lpqabot) wrote :
tags: added: qa-needstesting
removed: qa-ok
Changed in launchpad:
status: In Progress → Fix Committed
Colin Watson (cjwatson) on 2017-04-19
tags: added: qa-ok
removed: qa-needstesting
Colin Watson (cjwatson) on 2017-04-20
Changed in launchpad:
status: Fix Committed → Fix Released
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers

Remote bug watches

Bug watches keep track of this bug in other bug trackers.